package types

import (
	"github.com/cosmos/cosmos-sdk/codec"
	cdctypes "github.com/cosmos/cosmos-sdk/codec/types"
	sdk "github.com/cosmos/cosmos-sdk/types"
	"github.com/cosmos/cosmos-sdk/types/msgservice"
)

func RegisterCodec(cdc *codec.LegacyAmino) {
	cdc.RegisterConcrete(&MsgNewAuction{}, "colinear/NewAuction", nil)
	cdc.RegisterConcrete(&MsgNewBid{}, "colinear/NewBid", nil)
	cdc.RegisterConcrete(&MsgLockFunds{}, "colinearcore/LockFunds", nil)
	cdc.RegisterConcrete(&MsgUnlockFunds{}, "colinearcore/UnlockFunds", nil)
	cdc.RegisterConcrete(&MsgUnlockAllFunds{}, "colinearcore/UnlockAllFunds", nil)
	cdc.RegisterConcrete(&MsgClaimFunds{}, "colinearcore/ClaimFunds", nil)
	// this line is used by starport scaffolding # 2
}

func RegisterInterfaces(registry cdctypes.InterfaceRegistry) {
	registry.RegisterImplementations((*sdk.Msg)(nil),
		&MsgNewAuction{},
	)
	registry.RegisterImplementations((*sdk.Msg)(nil),
		&MsgNewBid{},
	)
	registry.RegisterImplementations((*sdk.Msg)(nil),
		&MsgLockFunds{},
	)
	registry.RegisterImplementations((*sdk.Msg)(nil),
		&MsgUnlockFunds{},
	)
	registry.RegisterImplementations((*sdk.Msg)(nil),
		&MsgUnlockAllFunds{},
	)
	registry.RegisterImplementations((*sdk.Msg)(nil),
		&MsgClaimFunds{},
	)
	// this line is used by starport scaffolding # 3

	msgservice.RegisterMsgServiceDesc(registry, &_Msg_serviceDesc)
}

var (
	Amino     = codec.NewLegacyAmino()
	ModuleCdc = codec.NewProtoCodec(cdctypes.NewInterfaceRegistry())
)
