package types

const (
	// ModuleName defines the module name
	ModuleName = "colinearcore"

	// StoreKey defines the primary module store key
	StoreKey = ModuleName

	// RouterKey is the message route for slashing
	RouterKey = ModuleName

	// QuerierRoute defines the module's query routing key
	QuerierRoute = ModuleName

	// MemStoreKey defines the in-memory store key
	MemStoreKey = "mem_colinear"
)

func KeyPrefix(p string) []byte {
	return []byte(p)
}

const (
	NextAuctionKey = "NextAuction-value-"
)

const (
	LockedUsersKey = "LockedUsers-value-"
)

// Module Events

const (
	AuctionCreatedEventType    = "auction-created"
	AuctionCreatedEventCreator = "creator"
	AuctionCreatedIndex        = "auction-id"
	AuctionCreatedCeiling      = "ceiling"
	// hardware
	AuctionCreatedGpus     = "gpus"
	AuctionCreatedCpuArch  = "cpu-arch"
	AuctionCreatedCpuCores = "cpu-cores"
	AuctionCreatedMemMb    = "mem-mb"
	AuctionCreatedStorage  = "storage-gb"
)

const (
	BidCreatedEventType    = "bid-created"
	BidCreatedEventCreator = "creator"
	BidCreatedAuctionIndex = "auction-id"
	BidCreatedAmount       = "amount"
)

const (
	AuctionFinalizedEventType = "auction-finalized"
	AuctionFinalizedIndex     = "auction-id"
)

const (
	LeaseFundsClaimedEventType       = "lease-claimed"
	LeaseFundsClaimedEventCreator    = "claimer"
	LeaseFundsClaimedAmountClaimed   = "amount-claimed"
	LeaseFundsClaimedAmountRemaining = "amount-remaining"
)
